# Training Markup
This project uses gulp and [twig](https://twig.symfony.com/doc/2.x/templates.html).

## Project Set up

### Install Node.js (includes NPM)
npm is distributed with Node.js- which means that when you download Node.js, you automatically get npm installed on your computer.

```bash
npm -v
```
NOTE: You may need to restart your PC for installation to work.

### Project Installation

After cloning/downloading repository navigate to the root directory of the project in your console window.

```bash
cd YOUR_PROJECT_DIRECTORY
```

Run npm's installation command

```bash
npm install
```
This command should create a node_modules folder in the projects root folder. It will install all the dependencies you need for the project including gulp and twig.

## Usage

To initialize gulp and start watching your development files run this command.
```bash
gulp
```

Now modifiying any files in the src/templates folder or in the scss folder will update the css and html files in your /build folder.

Browsersync should also run when the gulp command is used changes to the src files should live reload in the browser. The default address to watch is http://localhost:3000/
